import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_1d5aaeedbf18e3b2235484cf7e8a434b08cb7651 {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAADdwQAAAADdABkdXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXVAdXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXV1dXVycnIzMzMzMzMzM3JyLnV1dXQABXV1dXV1dAAUwqPaosKi251ddXV1dXV1dXV1dQp4");

    public static void main(String[] args) throws Throwable {
        Crash_1d5aaeedbf18e3b2235484cf7e8a434b08cb7651.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        UserRegistrationFuzzTest.fuzzerTestOneInput(input);
    }
}